Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim.util
Class RimAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._3._0.rim.util.RimAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class RimAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `RimPackage`

Constructor Summary
`RimAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createActionTypeAdapter()` Creates a new adapter for an object of class '`Action Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationType1Adapter()` Creates a new adapter for an object of class '`Association Type1`'.
`org.eclipse.emf.common.notify.Adapter` | `createAuditableEventTypeAdapter()` Creates a new adapter for an object of class '`Auditable Event Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationNodeTypeAdapter()` Creates a new adapter for an object of class '`Classification Node Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationSchemeTypeAdapter()` Creates a new adapter for an object of class '`Classification Scheme Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationTypeAdapter()` Creates a new adapter for an object of class '`Classification Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEmailAddressTypeAdapter()` Creates a new adapter for an object of class '`Email Address Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createExternalIdentifierTypeAdapter()` Creates a new adapter for an object of class '`External Identifier Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createExternalLinkTypeAdapter()` Creates a new adapter for an object of class '`External Link Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createExtrinsicObjectTypeAdapter()` Creates a new adapter for an object of class '`Extrinsic Object Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFederationTypeAdapter()` Creates a new adapter for an object of class '`Federation Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createIdentifiableTypeAdapter()` Creates a new adapter for an object of class '`Identifiable Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createInternationalStringTypeAdapter()` Creates a new adapter for an object of class '`International String Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createLocalizedStringTypeAdapter()` Creates a new adapter for an object of class '`Localized String Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createNotificationTypeAdapter()` Creates a new adapter for an object of class '`Notification Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createNotifyActionTypeAdapter()` Creates a new adapter for an object of class '`Notify Action Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createObjectRefListTypeAdapter()` Creates a new adapter for an object of class '`Object Ref List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createObjectRefTypeAdapter()` Creates a new adapter for an object of class '`Object Ref Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createOrganizationTypeAdapter()` Creates a new adapter for an object of class '`Organization Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createPersonNameTypeAdapter()` Creates a new adapter for an object of class '`Person Name Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createPersonTypeAdapter()` Creates a new adapter for an object of class '`Person Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createPostalAddressTypeAdapter()` Creates a new adapter for an object of class '`Postal Address Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createQueryExpressionTypeAdapter()` Creates a new adapter for an object of class '`Query Expression Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryObjectListTypeAdapter()` Creates a new adapter for an object of class '`Registry Object List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryObjectTypeAdapter()` Creates a new adapter for an object of class '`Registry Object Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryPackageTypeAdapter()` Creates a new adapter for an object of class '`Registry Package Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryTypeAdapter()` Creates a new adapter for an object of class '`Registry Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceBindingTypeAdapter()` Creates a new adapter for an object of class '`Service Binding Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceTypeAdapter()` Creates a new adapter for an object of class '`Service Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSlotListTypeAdapter()` Creates a new adapter for an object of class '`Slot List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSlotType1Adapter()` Creates a new adapter for an object of class '`Slot Type1`'.
`org.eclipse.emf.common.notify.Adapter` | `createSpecificationLinkTypeAdapter()` Creates a new adapter for an object of class '`Specification Link Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSubscriptionTypeAdapter()` Creates a new adapter for an object of class '`Subscription Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createTelephoneNumberListTypeAdapter()` Creates a new adapter for an object of class '`Telephone Number List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createTelephoneNumberTypeAdapter()` Creates a new adapter for an object of class '`Telephone Number Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createUserTypeAdapter()` Creates a new adapter for an object of class '`User Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createValueListTypeAdapter()` Creates a new adapter for an object of class '`Value List Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createVersionInfoTypeAdapter()` Creates a new adapter for an object of class '`Version Info Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RimAdapterFactory

    public RimAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createActionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createActionTypeAdapter()

  Creates a new adapter for an object of class '`Action Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActionType`

### createAdhocQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryType`

### createAssociationType1Adapter

    public org.eclipse.emf.common.notify.Adapter createAssociationType1Adapter()

  Creates a new adapter for an object of class '`Association Type1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationType1`

### createAuditableEventTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditableEventTypeAdapter()

  Creates a new adapter for an object of class '`Auditable Event Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditableEventType`

### createClassificationNodeTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationNodeTypeAdapter()

  Creates a new adapter for an object of class '`Classification Node Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationNodeType`

### createClassificationSchemeTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationSchemeTypeAdapter()

  Creates a new adapter for an object of class '`Classification Scheme Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationSchemeType`

### createClassificationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationTypeAdapter()

  Creates a new adapter for an object of class '`Classification Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createEmailAddressTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createEmailAddressTypeAdapter()

  Creates a new adapter for an object of class '`Email Address Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EmailAddressType`

### createExternalIdentifierTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExternalIdentifierTypeAdapter()

  Creates a new adapter for an object of class '`External Identifier Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExternalIdentifierType`

### createExternalLinkTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExternalLinkTypeAdapter()

  Creates a new adapter for an object of class '`External Link Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExternalLinkType`

### createExtrinsicObjectTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExtrinsicObjectTypeAdapter()

  Creates a new adapter for an object of class '`Extrinsic Object Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtrinsicObjectType`

### createFederationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFederationTypeAdapter()

  Creates a new adapter for an object of class '`Federation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FederationType`

### createIdentifiableTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createIdentifiableTypeAdapter()

  Creates a new adapter for an object of class '`Identifiable Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IdentifiableType`

### createInternationalStringTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createInternationalStringTypeAdapter()

  Creates a new adapter for an object of class '`International String Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InternationalStringType`

### createLocalizedStringTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createLocalizedStringTypeAdapter()

  Creates a new adapter for an object of class '`Localized String Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LocalizedStringType`

### createNotificationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNotificationTypeAdapter()

  Creates a new adapter for an object of class '`Notification Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotificationType`

### createNotifyActionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNotifyActionTypeAdapter()

  Creates a new adapter for an object of class '`Notify Action Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotifyActionType`

### createObjectRefListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createObjectRefListTypeAdapter()

  Creates a new adapter for an object of class '`Object Ref List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ObjectRefListType`

### createObjectRefTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createObjectRefTypeAdapter()

  Creates a new adapter for an object of class '`Object Ref Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ObjectRefType`

### createOrganizationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrganizationTypeAdapter()

  Creates a new adapter for an object of class '`Organization Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrganizationType`

### createPersonNameTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPersonNameTypeAdapter()

  Creates a new adapter for an object of class '`Person Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersonNameType`

### createPersonTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPersonTypeAdapter()

  Creates a new adapter for an object of class '`Person Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersonType`

### createPostalAddressTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPostalAddressTypeAdapter()

  Creates a new adapter for an object of class '`Postal Address Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PostalAddressType`

### createQueryExpressionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionTypeAdapter()

  Creates a new adapter for an object of class '`Query Expression Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionType`

### createRegistryObjectListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryObjectListTypeAdapter()

  Creates a new adapter for an object of class '`Registry Object List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryObjectListType`

### createRegistryObjectTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryObjectTypeAdapter()

  Creates a new adapter for an object of class '`Registry Object Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryObjectType`

### createRegistryPackageTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryPackageTypeAdapter()

  Creates a new adapter for an object of class '`Registry Package Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryPackageType`

### createRegistryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryType`

### createServiceBindingTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceBindingTypeAdapter()

  Creates a new adapter for an object of class '`Service Binding Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceBindingType`

### createServiceTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceTypeAdapter()

  Creates a new adapter for an object of class '`Service Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceType`

### createSlotListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSlotListTypeAdapter()

  Creates a new adapter for an object of class '`Slot List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SlotListType`

### createSlotType1Adapter

    public org.eclipse.emf.common.notify.Adapter createSlotType1Adapter()

  Creates a new adapter for an object of class '`Slot Type1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SlotType1`

### createSpecificationLinkTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSpecificationLinkTypeAdapter()

  Creates a new adapter for an object of class '`Specification Link Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SpecificationLinkType`

### createSubscriptionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSubscriptionTypeAdapter()

  Creates a new adapter for an object of class '`Subscription Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SubscriptionType`

### createTelephoneNumberListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTelephoneNumberListTypeAdapter()

  Creates a new adapter for an object of class '`Telephone Number List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TelephoneNumberListType`

### createTelephoneNumberTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTelephoneNumberTypeAdapter()

  Creates a new adapter for an object of class '`Telephone Number Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TelephoneNumberType`

### createUserTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUserTypeAdapter()

  Creates a new adapter for an object of class '`User Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserType`

### createValueListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createValueListTypeAdapter()

  Creates a new adapter for an object of class '`Value List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueListType`

### createVersionInfoTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createVersionInfoTypeAdapter()

  Creates a new adapter for an object of class '`Version Info Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VersionInfoType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD